﻿namespace libfisp
{
    public class DeleteTask
    {
        public event EventHandler<double>? Progress;

        public event EventHandler? Successed;

        public event EventHandler<string>? Failed;

        internal void UpdateProgress(double progress)
        {
            Progress?.Invoke(this, progress);
        }

        internal void UpdateSuccess()
        {
            Successed?.Invoke(this, EventArgs.Empty);
        }

        internal void UpdateFailed(string message)
        {
            Failed?.Invoke(this, message);
        }
    }
}
